Resource icon

Password Tools 3.6.5

No permission to download
  • Require XF2.1, drop XF2.0 support and use built in composer support.
  • Update zxcvbn-php library to be more inline with zxcvbn-js
  • Fix incorrect phrase being used on haveibeenpwned api failure
  • Like
Reactions: mcatze
  • Add add-on & options icon
  • Fix issue blocking user login when the user's password storage requires upgrading and they have a weak password.
  • Fix XF2.1 compatibility with admin login screen (include changes in package)
  • Like
Reactions: WoodiE
  • Fix XF2.1 compatibility with admin login screen
  • Update for XF2.1, supports XF2.0 & XF2.1
    • Wire up Show password enable/disable flag to XF2.1 native feature
    • Wire up zxcvbn enable/disable flag to XF2.1 native feature
    • Does not push zxcvbn blacklist flags into XF2.1 native version, but still validates them on password submission.
  • Like
Reactions: mcatze
  • Fix styling issue and both placeholder and aria-label not being applied to password input
  • Better handling of extending the admin login password field
  • Do not push 'key' symbol for admin login onto the next line
  • Like
Reactions: BassMan
Top